package domain

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkorderSharestockCpsorderListCpsOrderResponse struct {
	/*
	   订单创建时间     */
	CreateTime *util.LocalTime `json:"create_time,omitempty" `

	/*
	   支付成功时间     */
	PayTime *util.LocalTime `json:"pay_time,omitempty" `

	/*
	   业务订单ID     */
	BizOrderId *string `json:"biz_order_id,omitempty" `

	/*
	   订单状态： INIT(0, "初始化"),CREATED(1, "已创建"),PAID_DONE(2, "已付款"),ACCEPT_ORDER(3, "已接单"),PICK_ORDER(4, "已拣货"),SHIPPED(5, "已发货"),TRADE_SUCCESS(6, "交易成功"),TRADE_CLOSE(-1, "交易关闭"),     */
	OrderStatus *string `json:"order_status,omitempty" `

	/*
	   主订单付款金额（不含运费、优惠、券）     */
	PayPrice *int64 `json:"pay_price,omitempty" `

	/*
	   外部用户ID：由pid+siteid+adzoneid+custom四部分拼成，其中前3个参数对应拼链中淘宝联盟mm=1_2_3，第4个参数对应拼链中 custom_parameters； eg：125000304_108400334_28176750484_12345     */
	OuterId *string `json:"outer_id,omitempty" `

	/*
	   预估总分佣金额（仅是预估金额，实际结算仍然通过xls线下doublecheck为准）     */
	ShareAmount *int64 `json:"share_amount,omitempty" `

	/*
	   最后更新时间     */
	ModifiedTime *util.LocalTime `json:"modified_time,omitempty" `

	/*
	   子单列表     */
	CpsSubOrder *[]AlibabaWdkorderSharestockCpsorderListCpsSubOrderBO `json:"cps_sub_order,omitempty" `
}

func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetCreateTime(v util.LocalTime) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.CreateTime = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetPayTime(v util.LocalTime) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.PayTime = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetBizOrderId(v string) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.BizOrderId = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetOrderStatus(v string) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.OrderStatus = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetPayPrice(v int64) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.PayPrice = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetOuterId(v string) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.OuterId = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetShareAmount(v int64) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.ShareAmount = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetModifiedTime(v util.LocalTime) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.ModifiedTime = &v
	return s
}
func (s *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse) SetCpsSubOrder(v []AlibabaWdkorderSharestockCpsorderListCpsSubOrderBO) *AlibabaWdkorderSharestockCpsorderListCpsOrderResponse {
	s.CpsSubOrder = &v
	return s
}
